Package: javax.swing

## [Java] Class JMenu

- javax.swing.JMenu

-     public class JMenu
      extends Object

  GDK enhancements for JMenu.

  displayName:
    JMenu
  receiverFqcn:
    javax.swing.JMenu

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Component` | `getAt(int index)` Support the subscript operator for JMenu.
    `` | `public Iterator<Component>` | `iterator()` Returns an Iterator which traverses the JMenu one component at a time.
    `` | `public JMenu` | `leftShift(Action action)` Overloads the left shift operator to provide an easy way to add components to a menu.
    `` | `public JMenu` | `leftShift(Component component)` Overloads the left shift operator to provide an easy way to add components to a menu.
    `` | `public JMenu` | `leftShift(JMenuItem item)` Overloads the left shift operator to provide an easy way to add components to a menu.
    `` | `public JMenu` | `leftShift(String str)` Overloads the left shift operator to provide an easy way to add components to a menu.
    `` | `public JMenu` | `leftShift(GString gstr)` Overloads the left shift operator to provide an easy way to add components to a menu.
    `` | `public int` | `size()` Provide the standard Groovy `size()` method for `JMenu`.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `addShutdownHook, any, any, asBoolean, asType, clamp, clamp, collect, collect, collect, dump, each, eachMatch, eachMatch, eachWithIndex, every, every, find, find, findAll, findAll, findIndexOf, findIndexOf, findIndexValues, findIndexValues, findLastIndexOf, findLastIndexOf, findResult, findResult, findResult, findResult, getAt, getMetaClass, getMetaPropertyValues, getProperties, grep, grep, hasProperty, identity, inject, inject, inject, inject, inspect, invokeMethod, is, isCase, isNotCase, iterator, metaClass, print, print, printf, printf, println, println, println, putAt, respondsTo, respondsTo, setMetaClass, sleep, sleep, split, sprintf, sprintf, stream, takeIf, tap, toString, use, use, use, with, with, withCloseable, withCloseable, withMethodClosure, withStream, withStream, withTraits`

- - ### Method Detail

    - #### public Component getAt(int index)

      Support the subscript operator for JMenu.

      Parameters:
        `index` - the index of the menu component to get
      Returns:
        the menu component at the given index
      Since:
        1.6.4

    - #### public Iterator<Component> iterator()

      Returns an Iterator which traverses the JMenu one component at a time.

      Returns:
        an Iterator for a JMenu
      Since:
        1.6.4

    - #### public JMenu leftShift(Action action)

      Overloads the left shift operator to provide an easy way to add components to a menu.

      Parameters:
        `action` - an action to be added to the menu.
      Returns:
        same menu, after the value was added to it.
      Since:
        1.6.4

    - #### public JMenu leftShift(Component component)

      Overloads the left shift operator to provide an easy way to add components to a menu.

      Parameters:
        `component` - a component to be added to the menu.
      Returns:
        same menu, after the value was added to it.
      Since:
        1.6.4

    - #### public JMenu leftShift(JMenuItem item)

      Overloads the left shift operator to provide an easy way to add components to a menu.

      Parameters:
        `item` - an item to be added to the menu.
      Returns:
        same menu, after the value was added to it.
      Since:
        1.6.4

    - #### public JMenu leftShift(String str)

      Overloads the left shift operator to provide an easy way to add components to a menu.

      Parameters:
        `str` - a String to be added to the menu.
      Returns:
        same menu, after the value was added to it.
      Since:
        1.6.4

    - #### public JMenu leftShift(GString gstr)

      Overloads the left shift operator to provide an easy way to add components to a menu.

      Parameters:
        `gstr` - a GString to be added to the menu.
      Returns:
        same menu, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `JMenu`.

      Returns:
        the menu component count of the menu
      Since:
        1.6.4